# Ogre::ManualObject::TempVertex Struct Reference

Temporary vertex structure. More...

`#include <OgreManualObject.h>`

List of all members.

## Public Attributes

Vector3 | position
Vector3 | normal
Vector3 | tangent
Vector4 | texCoord [OGRE_MAX_TEXTURE_COORD_SETS]
ushort | texCoordDims [OGRE_MAX_TEXTURE_COORD_SETS]
ColourValue | colour

## Detailed Description

Temporary vertex structure.

Definition at line 479 of file OgreManualObject.h.

## Member Data Documentation

ColourValue Ogre::ManualObject::TempVertex::colour

Definition at line 486 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::normal

Definition at line 482 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::position

Definition at line 481 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::tangent

Definition at line 483 of file OgreManualObject.h.

Vector4 Ogre::ManualObject::TempVertex::texCoord[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 484 of file OgreManualObject.h.

ushort Ogre::ManualObject::TempVertex::texCoordDims[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 485 of file OgreManualObject.h.

The documentation for this struct was generated from the following file:

- OgreManualObject.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:13